Figure - 0 O Requirement #117668
[ODVTIOODisplayD OO OO OO
2023-04-25 19:35 - CD BSP-[1 [J

Status: OO Closed Start date: 2023-04-28
Priority: Normal Due date:
Assignee: CDBSP-U O % Done: 80%
Category: BSP Estimated time: 0.00 hour
Target version:
Description
gobodboboobogon
Subtasks:
0 O Requirement# 117723: [0 DVT10 O OTAO OTAO OUEFID OO OO O O spunvm O O New
History
#1 - 2023-04-2519:36 - CD BSP-J O
- Subject changed from [0 DVT10 O DisplayC to [0 DVT1O O Displayd D 000 OO
- Description updated
- Category set to BSP
- Assignee set to CD BSP-0 O
#2 - 2023-04-28 13:45 - loT scm
Gerrit Merge Information(]
1D Project Branch Uploader
196848 general/abl/tianocore/edk?2 Pre_figure_turbox-c2130c-lal.1-vendo [ shuang.li_a@thundersoft.com

r-dev

133e05c92422b86dd627f066ch369124fe566c9b1

BSP:Security:Skip the boot prompt in UNlocked stateComment out the prompted stringTC-RID: 1201-0100501IssuelD: TS-R-DF-117668Change-1d:

#3 - 2023-04-28 18:21 - 0T scm

Gerrit Merge Information(

1D Project Branch Uploader
197087 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-vendo | yepeng0322@thundersoft.com
m/spunvm_postinstall r-dev

BSP:Display: Add custom logo to spunvm partition[4/5]Add custom logo spunvm image to vendor for postinstallVC1 and VX1 use same on logoTC-RID:
1201-0100501IssuelD: TS-R-DF-117668Change-1d: 16b390f561aa341409f3cd42953d1469b811b111a

#4 - 2023-04-28 18:21 - loT scm

Gerrit Merge Information(]

1D Project Branch

Uploader

2025-07-04

1/5




197012 general/vendor/thundercomm/produc | Pre_figure_turbox-c2130c-lal.1-vendo | yepeng0322@thundersoft.com

ts/figure r-dev

BSP:Display: Add custom logo to spunvm partition[5/5]Add the costom logo partition for postinstallTC-RID: 1201-0100501lssuelD:
TS-R-DF-117668Change-Id: 1c99e2a47f9eac4b2146ccf26a2fd0f79995df3f3

#5 - 2023-04-28 18:36 - IoT scm
Gerrit Merge Information(]

1D Project Branch Uploader
196093 general/boot_images Pre_figure_turbox-c2130c-lal.1-vendo | dulei0503@thundersoft.com
r-dev

BSP:Display: Bringup VC1 Icd in uefi[1/4]1. lint max96755¢ ic and turn on backlight2. Add vcl panel param to uefiTC-RID: 1201-0100501IssuelD:
TS-R-DF-117668Change-1d: 1c9e5be59ee9blebdfe08123b12cd5fh86afe8562

#6 - 2023-04-28 18:37 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader
196374 general/boot_images Pre_figure_turbox-c2130c-lal.1-vendo | dulei0503@thundersoft.com
r-dev

BSP:Display: Add custom logo to spunvm partition[2/5]Save custom logo to spunvm partitionLoad and display the custom logo in XBLTC-RID:
1201-01005011Issuel D: TS-R-DF-117668Change-Id: 1635a131e98978d1df574296a7eb8b52bcad95c0f

#7 - 2023-04-28 18:37 - 0T scm

Gerrit Merge Informationd

1D Project Branch Uploader
196625 general/boot_images Pre_figure_turbox-c2130c-lal.1-vendo | dulei0503@thundersoft.com
r-dev

BSP:Display: Bringup VX1 lcd in uefi[1/2]1. Add new vx1 lcd panel params2. Set max96755x init code for vx13. Both VC1 and VX1 Icd compatibleTC-RID:
1201-01005011Issuel D: TS-R-DF-117668Change-Id: 155ba62b4chc6e9ef3464517¢8256a0f6012cf13f
#8 - 2023-04-28 18:38 - 0T scm

Gerrit Merge Information(

1D Project Branch Uploader
196379 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | dulei0503@thundersoft.com
m/proprietary r-dev

TS-R-DF-117668Change-Id: 1f2580h79c37¢8202691df525fd242010f8e0fd4cl

BSP:Display: Bringup VVC1 Icd in uefi[4/4]Fix display drm error in kernel space.[sde errorJunable to find appropriate mixersTC-RID: 1201-0100501IssuelD:

#9 - 2023-04-28 18:38 - 0T scm

Gerrit Merge Information(]

1D Project

Branch

Uploader

196323 general/aop_proc

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

dulei0503@thundersoft.com

1dbc7245cd99ee3ff899b0d3c8e818237553d5e3f

BSP:Display: Bringup VC1 Icd in uefi[2/3]Set pm8009 Ido1 on for max96755gTC-RID: 1201-0100501IssuelD: TS-R-DF-117668Change-Id:

#10 - 2023-04-28 18:38 - 10T scm
Gerrit Merge Information(

1D Project

Branch

Uploader

196327 general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

dulei0503@thundersoft.com

19b55h68f5bebdbdf7e082dcde6f6ebe10f77a655

BSP:Display: Bringup VC1 lcd in uefi[3/4]Enable vcl lcd backlight to 50%TC-RID: 1201-01005011ssuel D: TS-R-DF-117668Change-Id:

#11 - 2023-04-28 18:39 - loT scm

Gerrit Merge Informationd

1D Project

Branch

Uploader

196373 general/common

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:Display: Add custom logo to spunvm partition[1/5]Add the costom logo partition in content.xmlIf the logo size larger than 1M, need save logoto large
partionTC-RID: 1201-0100501IssuelD: TS-R-DF-117668Change-Id: 1d2abe48de585ca67704a59de53051a19088ca66a

2025-07-04




#12 - 2023-04-28 18:39 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

196376

general/turbox/tools/build_script/devi

ce

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:Display: Add custom logo to spunvm partition[3/5]Add spunvm.img in fastboot flash build_scriptTC-RID: 1201-0100501IssuelD:
TS-R-DF-117668Change-Id: 18888889ca821be197f11eb58da9e5cd371908e0e

#13 - 2023-04-28 18:44 - CD BSP-0 O

- Status changed from New to 0 O &0 O O In Analysis

#14 - 2023-05-08 14:13 - CD BSP-0 O

- File logo_gen.py added

#15 - 2023-05-11 10:35 - CD BSP-00 O

- Status changed from O O &0 O O In Analysisto O O Closed

#16 - 2023-05-14 18:13 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

199235

general/platform/vendor/qcom/kona

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

yepeng0322@thundersoft.com

BSP:OTA: Upgrade the partition used to save the user logoSelect the /bin/load_spunvm_img as the postinstall scriptTC-RID: 1201-0100501IssuelD:
TS-R-DF-117668Change-Id: 1c517630c9a27b72535a4d1ce259601aa8deab185

#17 - 2023-05-14 18:13 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

199237

general/device/qcom/vendor-commo

n

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

yepeng0322@thundersoft.com

BSP:OTA: Upgrade the partition used to save the user logoAdd the postinstall action to the payload when it is generated TC-RID: 1201-0100501IssuelD:
TS-R-DF-117668Change-Id: Ifce7bd48c7a91e51981d9871c858fac1bdebd963

#18 - 2023-05-14 18:14 - 10T scm

Gerrit Merge Information(]

ID

Project

Branch

Uploader

199738

2025-07-04

general/device/qcom/sepolicy_vndr

Pre_figure_turbox-c2130c-lal.1-vendo

yepeng0322@thundersoft.com

4/5




r-dev

BSP:OTA: Allow postinstall to access block_deviceAllow postinstall to access block_deviceTC-RID: 1201-01005011ssuelD: TS-R-DF-117668Change-1d:
1ec725717892b77097a30ab88053c4c92fa287429

#19 - 2023-05-14 18:14 - I0T scm
Gerrit Merge Information(]

1D Project Branch Uploader
199937 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-vendo | yepeng0322@thundersoft.com
m/spunvm_postinstall r-dev

BSP:OTA: Add postinstall trigger and load_spunvm_img scriptAdd postinstall trigger and load_spunvm_img scriptTC-RID: 1201-01005011IssuelD:
TS-R-DF-117668Change-1d: lccf3c4deeece7e22cfc24f476419379f6ccac57e

Files

logo_gen.py 4.04 KB 2023-05-08 CDBSP-0 O

2025-07-04 5/5



